## ucc 1.7.0~rc1

=== test/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(test_ucc)
find_package(UCC REQUIRED)
add_executable(test_ucc main.cpp)
target_link_libraries(test_ucc ucc::ucc)

## ucc 1.6.0~rc2

=== debian/changelog ===
ucc (1.6.0~rc2-1) experimental; urgency=medium

  * Initial release. (Closes: #1119141)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Oct 2025 14:50:55 +0000

=== debian/control ===
Source: ucc
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 libamdhip64-dev [!riscv64 !loong64],
 libhsa-runtime-dev [arm64 amd64 ppc64el],
 libhsakmt-dev [arm64 amd64 ppc64el],
 libibverbs-dev (>= 1.1.7) [amd64 arm64 loong64 riscv64 ppc64el s390x],
 libnuma-dev [amd64 arm64 loong64 riscv64 ppc64 ppc64el s390x],
 librdmacm-dev, 
 libibmad-dev,
 libibumad-dev,
 librccl-dev,
 hipcc [!riscv64 !loong64],
 mpi-default-dev,
 mpi-default-bin,
 pkgconf,
 doxygen
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/ucc.git
Vcs-Git: https://salsa.debian.org/science-team/ucc.git -b debian/latest
Homepage: https://www.openucx.org


Package: libucc-dev
Section: libdevel
Architecture: amd64 arm64 loong64 riscv64 ppc64el
Multi-Arch: same
Depends: libucc1 (= ${binary:Version}), ${misc:Depends}
Description: Header files for UCC library
 Unified Communication X (UCX) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.
 UCX utilizes high-speed networks for inter-node communication,i
 and shared memory mechanisms for efficient intra-node communication.
 This package provides development files for UCX.

Package: libucc1
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Multi-Arch: same
Description: Unified Collective Communication  libraries
 Unified Collective Communication  (UCC) provides an optimized 
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.

Package: ucc-utils
Architecture: any
Depends: libucc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for the UCC Collectives library
 Unified Collectives (UCC) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -Wno-uninitialized 
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

include /usr/share/mpi-default-dev/debian_defaults
MPI:=$(LIBDIR)/$(ARCH_DEFAULT_MPI_IMPL)

export HIPCXX=clang++-19
export HIPCC=clang-19

export MPICC=mpicc


ARCH_HIP:= amd64 arm64 ppc64el
ROCM:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-rocm=/usr,)
HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_HIP)),--with-hip=/usr,)

%:
	dh $@ 

# No ibverbs support available on kFreeBSD, Hurd
NO_VERBS_ARCH:= hurd-amd64 s390x
NO_NUMA_ARCH:= 

VERBS:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_VERBS_ARCH)), , --with-verbs )
NUMA:=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_NUMA_ARCH)),  --disable-numa , )

override_dh_autoreconf:
	./autogen.sh

override_dh_auto_configure:
	CPPFLAGS="-I/usr/include/hsa -I/usr/include/hip" dh_auto_configure --  \
		--enable-mt \
		--with-mpi=/usr \
		$(VERBS) \
		$(NUMA) \
		$(ROCM) \
		$(HIP) \
		--enable-backtrace-detail \
		--enable-logging \


override_dh_auto_clean:
	dh_auto_clean
	find  . -type l -delete
	rm -f config.log

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_install:
	dh_auto_install
	# chrpath -d debian/tmp/usr/lib/*/lib*.so.0*

override_dh_dwz:
	@echo "pass; dwz currently breaks"

## ucc 1.7.0~rc1

=== debian/changelog ===
ucc (1.7.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Add d/gbp.conf for pristine-tar
  * Add d/watch
  * License name fixes (MIT-> Expat) from cme
  * Build-dep on clang-21 for hipcc
  * Drop b-d on libamdhip64-dev and librcc1; just hipcc needed
  * Build-dep on libucx-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Feb 2026 16:55:12 +0000

=== debian/control ===
Source: ucc
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: science
Build-Depends:
 debhelper-compat (= 13),
 libhsa-runtime-dev [arm64 amd64 ppc64el],
 libucx-dev [amd64 arm64 loong64 riscv64 ppc64 ppc64el],
 libhsakmt-dev [arm64 amd64 ppc64el],
 libibverbs-dev,
 libnuma-dev [amd64 arm64 loong64 riscv64 ppc64 ppc64el s390x],
 librdmacm-dev,
 libibmad-dev,
 libibumad-dev,
 hipcc [!riscv64 !loong64],
 clang-21,
 mpi-default-dev,
 mpi-default-bin,
 pkgconf,
 doxygen,
Vcs-Browser: https://salsa.debian.org/science-team/ucc.git
Vcs-Git: https://salsa.debian.org/science-team/ucc.git -b debian/latest
Homepage: https://www.openucx.org

Package: libucc-dev
Architecture: amd64 arm64 loong64 riscv64 ppc64el
Multi-Arch: same
Section: libdevel
Depends:
 libucc1 (= ${binary:Version}),
 ${misc:Depends},
Description: Header files for UCC library
 Unified Communication X (UCX) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.
 UCX utilizes high-speed networks for inter-node communication,i
 and shared memory mechanisms for efficient intra-node communication.
 This package provides development files for UCX.

Package: libucc1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Unified Collective Communication  libraries
 Unified Collective Communication  (UCC) provides an optimized 
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.

Package: ucc-utils
Architecture: any
Depends:
 libucc1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Utilities for the UCC Collectives library
 Unified Collectives (UCC) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 include /usr/share/mpi-default-dev/debian_defaults
 MPI:=$(LIBDIR)/$(ARCH_DEFAULT_MPI_IMPL)
 
-export HIPCXX=clang++-19
-export HIPCC=clang-19
+export HIPCXX=clang++-21
+export HIPCC=clang-21
 
 export MPICC=mpicc

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/openucx/ucc
